Bug 1303120 - (CVE-2016-2538) CVE-2016-2538 Qemu: usb: integer overflow in remote NDIS control message handling
CVE-2016-2538 Qemu: usb: integer overflow in remote NDIS control message hand...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160205,reported=2...
: Security
Depends On: 1305815 1305816
Blocks: 1305799
  Show dependency treegraph
 
Reported: 2016-01-29 10:42 EST by Adam Mariš
Modified: 2017-09-12 11:27 EDT (History)
42 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer-overflow issue was found in the QEMU emulator built with USB Net device emulation support. The flaw could occur while processing remote NDIS control message packets because the incoming informationBufferOffset & Length combination could cross the integer range. A privileged user inside a guest could use this flaw to leak host memory bytes to the guest, or crash the QEMU process instance (denial of service).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-29 10:42:13 EST
Qemu emulator built with the USB Net device emulation support is vulnerable to an integer overflow issue. It could occur while processing remote NDIS control message packets. As the incoming informationBufferOffset & Length combination could cross the integer range.

A privileged user inside guest could use this flaw to leak host memory bytes to guest or crash the Qemu process instance resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-02/msg03658.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/02/22/3
Comment 2 Adam Mariš 2016-01-29 16:46:55 EST
Acknowledgments:

Red Hat would like to thank Qinghao Tang of Qihu 360 Marvel Team for reporting this issue.
Comment 3 Prasad J Pandit 2016-02-09 05:07:55 EST
Statement:

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 4 Prasad J Pandit 2016-02-09 05:16:42 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1305816]
Comment 5 Prasad J Pandit 2016-02-09 05:16:57 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1305815]
Comment 6 Fedora Update System 2016-03-19 17:23:22 EDT
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-03-19 22:27:19 EDT
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-03-23 18:22:38 EDT
qemu-2.4.1-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-03-26 14:00:22 EDT
qemu-2.5.0-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-04-08 16:23:40 EDT
qemu-2.3.1-13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.